Subject: Re: bug#65621: [PATCH] `dired-next-line' go to meaningful line

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Aug 2023 17:20:12 +0300

> From: Shynur Xie <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Wed, 30 Aug 2023 13:50:34 +0000
> msip_labels:
> 
> > It basically means that if I want to copy those "forbidden" lines to
> > the kill ring or the clipboard, I can't (except by disabling this
> > feature).
> 
> Just use mouse, `{forward,backward}-{char,word}',
> `{previous,next}-line', etc.  Anyway, I just changed the definition of
> `dired-next-line', so actually users have many ways to do what they
> want.
> 
> > I personally fail to see why people would like this.
> 
> Isn't it great that no matter how you move up or down, you never leave
> the item line?  Without this, if you move the cursor to the last line
> accidentally, to enter one of those files, you need to press one more
> keystroke.

It doesn't bother me, but I will let others chime in and speak their
opinions.  If enough people like this feature, we could install it,
but I think even then it will need to be an opt-in feature.